scala.xml
object Null

[source: `scala/xml/Null.scala`]

`case` `object` Null
  `extends` MetaData `with` Product

Method Summary
`override def` | append (m : MetaData) : MetaData appends given MetaData items to this MetaData list
`def` | apply (key : java.lang.String) : Null null
`def` | apply (namespace : java.lang.String, scope : NamespaceBinding, key : java.lang.String) : Null gets value of qualified (prefixed) attribute with given key
`override def` | containedIn1 (m : MetaData) : Boolean
`def` | copy (next : MetaData) : MetaData returns its argument
`override def` | elements : Iterator[Nothing] returns an iterator on attributes
`override def` | equals (that : Any) : Boolean deep equals method
`def` | equals1 (that : MetaData) : Boolean shallow equals method
`override def` | filter (f : (MetaData) => Boolean) : MetaData filters this sequence of meta data
`def` | getNamespace (owner : Node) : Null returns null
`override final def` | hasNext : Boolean
`override def` | hashCode : Int
`def` | isPrefixed : Boolean
`def` | key : Null returns key of this MetaData item
`override final def` | length (i : Int) : Int
`override final def` | length : Int
`override def` | map (f : (MetaData) => Text) : List[Text] maps this sequence of meta data
`def` | next : Null returns Null or the next MetaData item
`override final def` | productArity : Int return k for a product `A(x_1,...,x_k))`
`override final def` | productElement (arg0 : Int) : Any for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`
`override final def` | productPrefix : java.lang.String By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.
`protected def` | readResolve : AnyRef
`def` | remove (key : java.lang.String) : Null
`def` | remove (namespace : java.lang.String, scope : NamespaceBinding, key : java.lang.String) : Null
`override def` | toString : java.lang.String
`override def` | toString (sb : StringBuilder) : StringBuilder
`def` | toString1 (sb : StringBuilder) : Unit
`override def` | toString1 : java.lang.String
`def` | value : Null returns value of this MetaData item
`override def` | wellformed (scope : NamespaceBinding) : Boolean

Methods inherited from Product
element, arity

Methods inherited from MetaData
apply, size, get, get, get, remove

Methods inherited from Collection
toArray, stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, partition, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, toStream, mkString, mkString, mkString, addString, addString, copyToArray, isEmpty, projection, hasDefiniteSize

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` append(m : MetaData) : MetaData

  appends given MetaData items to this MetaData list

Overrides
  MetaData.append

`override` `def` containedIn1(m : MetaData) : Boolean

Parameters
  `m -` ...
Returns
  `true` iff ...

Overrides
  MetaData.containedIn1

`` `def` copy(next : MetaData) : MetaData

  returns its argument

Overrides
  MetaData.copy

`override` `def` elements : Iterator[Nothing]

  returns an iterator on attributes

Overrides
  MetaData.elements

`override` `def` filter(f : (MetaData) => Boolean) : MetaData

  filters this sequence of meta data

Overrides
  MetaData.filter

`` `def` getNamespace(owner : Node) : Null

  returns null

Overrides
  MetaData.getNamespace

`override final` `def` hasNext : Boolean

Overrides
  MetaData.hasNext

`override final` `def` length : Int

Overrides
  MetaData.length

`override final` `def` length(i : Int) : Int

Overrides
  MetaData.length

`` `def` isPrefixed : Boolean

Overrides
  MetaData.isPrefixed

`override` `def` equals(that : Any) : Boolean

  deep equals method

Overrides
  MetaData.equals

`` `def` equals1(that : MetaData) : Boolean

  shallow equals method

Overrides
  MetaData.equals1

`` `def` key : Null

  returns key of this MetaData item

Overrides
  MetaData.key

`` `def` value : Null

  returns value of this MetaData item

Overrides
  MetaData.value

`override` `def` map(f : (MetaData) => Text) : List[Text]

  maps this sequence of meta data

Overrides
  MetaData.map

`` `def` next : Null

  returns Null or the next MetaData item

Overrides
  MetaData.next

`` `def` apply(key : java.lang.String) : Null

  null

Overrides
  MetaData.apply

`` `def` apply(namespace : java.lang.String, scope : NamespaceBinding, key : java.lang.String) : Null

  gets value of qualified (prefixed) attribute with given key

Overrides
  MetaData.apply

`override` `def` hashCode : Int

Overrides
  MetaData.hashCode

`override` `def` toString1 : java.lang.String

Overrides
  MetaData.toString1

`` `def` toString1(sb : StringBuilder) : Unit

Overrides
  MetaData.toString1

`override` `def` toString : java.lang.String

Overrides
  MetaData.toString

`override` `def` toString(sb : StringBuilder) : StringBuilder

Overrides
  MetaData.toString

`override` `def` wellformed(scope : NamespaceBinding) : Boolean

Parameters
  `scope -` ...
Returns
  `true` iff ...

Overrides
  MetaData.wellformed

`` `def` remove(key : java.lang.String) : Null

Parameters
  `key -` ...
Returns
  ...

Overrides
  MetaData.remove

`` `def` remove(namespace : java.lang.String, scope : NamespaceBinding, key : java.lang.String) : Null

Parameters
  `namespace -` ...
  `scope -` ...
  `key -` ...
Returns
  ...

Overrides
  MetaData.remove

`override final` `def` productPrefix : java.lang.String

  By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.

Overrides
  Product.productPrefix

`override final` `def` productArity : Int

  return k for a product `A(x_1,...,x_k))`

Overrides
  Product.productArity

`override final` `def` productElement(arg0 : Int) : Any

  for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`

Parameters
  `n -` the position of the n-th element
Throws
  `IndexOutOfBoundsException -`
Returns
  ...

Overrides
  Product.productElement

`protected` `def` readResolve : AnyRef